| package |
package := Package name: 'IDB Common'.
package paxVersion: 0;
	basicComment: 'Common classes and methods for IDB Goodies
Version 5b - February 2003
For Version 5 of Dolphin Smalltalk

(C) 2000-2003 Ian Bartholomew
ian@idb.me.uk
Public Domain Freeware

Version 5a - May 2002
	Original
Version 5b - February 2003
	Version number update to allow for possible changes as part of a global goodies update.'.

package basicPackageVersion: '5000'.


package classNames
	add: #IdbShell;
	add: #IdbToolShell;
	yourself.

package methodNames
	add: #ClassDescription -> #idbDefaultIconName;
	add: #SessionManager -> #idbDocumentationFolder;
	add: #SessionManager -> #idbPackageFolder;
	add: #SessionManager -> #idbResourcesFolder;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package allResourceNames: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: '..\..\Object Arts\Dolphin\IDE\Base\Development System';
	add: '..\..\Object Arts\Dolphin\Base\Dolphin';
	add: '..\..\Object Arts\Dolphin\MVP\Base\Dolphin MVP Base';
	yourself).

package!

"Class Definitions"!

SmalltalkToolShell subclass: #IdbShell
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
IdbShell subclass: #IdbToolShell
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!

"Global Aliases"!


"Loose Methods"!

!ClassDescription methodsFor!

idbDefaultIconName
	"Answers the default icon name for the receiver. Overrrrrridden to point into 
	the /packages/idb folder."

	#idbAdded.
	^File 
		composePath: SessionManager current idbResourcesFolder
		stem: self name
		extension: 'ico'! !
!ClassDescription categoriesFor: #idbDefaultIconName!constants!idb goodies!public! !

!SessionManager methodsFor!

idbDocumentationFolder
	"Answers the folder where all the idb goodies files are located"

	#idbAdded.
	^FileLocator imageRelative localFileSpecFor: 'Ian Bartholomew\Documentation'!

idbPackageFolder
	"Answers the folder where all the idb goodies files are located"

	#idbAdded.
	^FileLocator imageRelative localFileSpecFor: 'Ian Bartholomew'!

idbResourcesFolder
	"Answers the folder where all the idb goodies files are located"

	#idbAdded.
	^FileLocator imageRelative localFileSpecFor: 'Ian Bartholomew\Resources'! !
!SessionManager categoriesFor: #idbDocumentationFolder!accessing!idb goodies!public! !
!SessionManager categoriesFor: #idbPackageFolder!accessing!idb goodies!public! !
!SessionManager categoriesFor: #idbResourcesFolder!accessing!idb goodies!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

IdbShell guid: (GUID fromString: '{D143E0F5-FB16-48B9-999E-C66F61C6FD3E}')!
IdbShell comment: 'See [DolphinImageFolder]/Ian Bartholomew/Documentation for details

(C) 2003 Ian Bartholomew
ian@idb.me.uk
Public Domain Freeware'!
!IdbShell categoriesForClass!IDB Goodies! !
!IdbShell methodsFor!

about: aString
	(Splash 
		bitmap: (Bitmap fromFile: SessionManager current idbResourcesFolder , '\about.bmp')
		overlayWith: 
			[:canvas | 
			Processor sleep: 1000.
			canvas
				setBkMode: TRANSPARENT;
				forecolor: Color blue;
				font: (Font name: 'Arial' pointSize: 11) beBold;
				formatText: aString
					in: ((0 @ 0 extent: 250 @ 180) insetBy: 8 @ 8)
					flags: DT_CENTER]) 
			show!

idbHelp
	"Open up the index page for help on idb tools"

	ShellLibrary default 
		shellOpen: (File composePath: SessionManager current idbDocumentationFolder
				subPath: 'index.html')! !
!IdbShell categoriesFor: #about:!commands!public! !
!IdbShell categoriesFor: #idbHelp!commands!public! !

!IdbShell class methodsFor!

defaultIconName
	^self idbDefaultIconName! !
!IdbShell class categoriesFor: #defaultIconName!constants!public! !

IdbToolShell guid: (GUID fromString: '{D5A39E13-1A86-4F66-B67F-C7875188C304}')!
IdbToolShell comment: 'See [DolphinImageFolder]/Ian Bartholomew/Documentation for details

(C) 2003 Ian Bartholomew
ian@idb.me.uk
Public Domain Freeware'!
!IdbToolShell categoriesForClass!IDB Goodies! !
!IdbToolShell methodsFor!

addToCommandRoute: route
	super addToCommandRoute: route.
	route appendTarget: Smalltalk developmentSystem! !
!IdbToolShell categoriesFor: #addToCommandRoute:!commands!public! !

!IdbToolShell class methodsFor!

initializeAfterLoad
	self == ##(self) 
		ifFalse: 
			[(Smalltalk developmentSystem)
				addAdditionalToolsFolderIcon: self toolsFolderIcon;
				registerTool: self].
	super initializeAfterLoad!

uninitializeBeforeRemove
	self == ##(self) 
		ifFalse: 
			[(Smalltalk developmentSystem)
				removeSystemFolderIcon: self toolsFolderIcon;
				unregisterTool: self].
	super uninitializeBeforeRemove! !
!IdbToolShell class categoriesFor: #initializeAfterLoad!initializing!public! !
!IdbToolShell class categoriesFor: #uninitializeBeforeRemove!initializing!public! !

"Binary Globals"!

"Resources"!

